#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n, r = 0, sch = 0, mi = 0;
    cin >> n;
    long long a[n];
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        r += a[i];
        if(a[i] > a[mi])
            mi = i;
    }
    while(r > 0)
    {
        long long podryad = 1;
        while(a[mi] == a[mi + 1])
        {
            podryad++;
            mi++;
        }
        while(podryad > 0)
        {
            podryad--;
            a[mi]--;
            mi--;
        }
        r = 0, mi = 0;
        for(int i = 0; i < n; i++)
        {
            r += a[i];
            if(a[i] > a[mi])
                mi = i;
        }
        sch++;
    }
    cout << sch;
    return 0;
}
